Subject: Re: bug#16222: Installing ELPA packages complains about :keywords in define-package

From: Stefan Monnier <[email-masked]>
Date: Thu, 16 Jan 2014 11:18:53 -0500

>>> Now we need a package rebuild to test it.
>> Should happen tonight.
> I'm not sure if you've triggered rebuild for all packages or just expected
> that to happen to the ones pushed after the fix (e.g. company), but it
> didn't work either way.

No, I just failed to think.  This morning, when going to check the
result I realized that rebuild wouldn't help, since old packages are
left alone.
So I removed the 2 packages that suffered from this problem (the latest
js2-mode and company) and forced a manual rebuild of them.  At least on
the elpa.gnu.org side, this is fixed now, indeed.

> Maybe someone needs to delete all affected -pkg.el files on the server
> first, and then rebuild the containing packages.

Yup, that's what I had to do.  Sorry for forgetting to turn on my brain.

        Stefan